Plex Update

  • I guess it depends on the image and entrypoint script. I have used a few images that won't update with a restart.

    I was responding to the question about Plex dockers. I have used both the linuxserver.io and official Plex images. Both behave the way I described.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 5.x on ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380 + Silverstone DS380 DAS Box.

  • I was responding to the question about Plex dockers. I have used both the linuxserver.io and official Plex images. Both behave the way I described.

    Ok. Makes sense. I don't use plex so I was just speaking for dockers in general.

    omv 5.5.12 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I'm sorry but I'm completely noob on linux, omv, plex and raspberry. First time i installed plex from inside omv plugins and it worked (but with plex update request in the plex page). Then i removed it and installed plex in docker using Technodad video guide. Plex works but i can't no longer see miniatures on pictures and video and some tipe of video don't works. My question is:
    1. Why to use docker instead a manual installation of plugin?
    2. Can i download server plugin from plex site and install it manually? See attached screenshot, wich is the right version for Omv on Raspberry pi3?


    Thank you.

  • Why to use docker instead a manual installation of plugin?

    Because the plex plugin is bad (I wrote it) and I don't want to do anything with it anymore. I want it to go away. Docker is very easy and keeps people from screwing up the OMV system.


    Can i download server plugin from plex site and install it manually? See attached screenshot, wich is the right version for Omv on Raspberry pi3?

    Installing the package on the host is much more difficult to maintain. Why not try to fix the docker first?

    omv 5.5.12 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Because the plex plugin is bad (I wrote it) and I don't want to do anything with it anymore. I want it to go away. Docker is very easy and keeps people from screwing up the OMV system.


    Installing the package on the host is much more difficult to maintain. Why not try to fix the docker first?

    Ok, i would like to fix it, but what i can do or check to make miniatures working? It is very annoying to scroll libraries with black miniatures...

  • Following that plex guide is the best way. When you enable the plex repo in omv-extras, it add the repo pretty much the same as the guide. Updates will show up in the Updates tab when using either. Just don't install the plugin. apt-get install plexmediaserver is all you need to install the package.

  • Following that plex guide is the best way. When you enable the plex repo in omv-extras, it add the repo pretty much the same as the guide. Updates will show up in the Updates tab when using either. Just don't install the plugin. apt-get install plexmediaserver is all you need to install the package.

    What guide are you talking about?

  • This works. Run those 3 commands and then you can update via the update page in OMV.

  • Talking about Plex and Docker, right now I'm using a Plex container in a OMV4 install on a odroid HC2.
    It works nearly 100%, but there is a problem with the encoding seeing that it doesn't seems able to use 100% of the available cpu (locked to one thread) so on more demanding encoding the performance is not the best.
    There is a way to fix it? Otherwise I was thinking about installing the plex plugin and forget the docker container for now.

  • I've always used Plex without a docker.
    Was annoying to update it manually at the beginning.
    But since it can be updated normally I am happy and never understood why I should run it in a docker.... ?



    Had already tested it on a NUC with Debian 10 and Openmediavault 5, so I don't need a docker myself :-)

  • Worked like a champ! (other than editing the version I downloaded) Thanks!

  • If you are using a proper tag then all one has to do is restart the container.

    Hello gferf


    Can you explain it for us newbies once and for all?


    I do also have a docker running with plex that I would like to update, but I'm afraid of ruin something by doing it wrong. The only thing I have tried is to "docker restart plexserver" and nothing updates. How do I know if I have a proper tag and what is it? What to do if I don't have a proper tag?


    Step by step, thank you in advance! :)

  • The proper tag depends on which image you are running. It is explained in the documentation for the container. Press the info button and read it.

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 5.x on ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380 + Silverstone DS380 DAS Box.

  • Hello, I just tried adding it but it wont update by the restart. Check image below, did I do it wrong?


    plex1.png

  • What version of Plex are you on and what version of Plex do you think you should be updated to?

    --
    Google is your friend and Bob's your uncle!


    OMV AMD64 5.x on ASRock Rack C2550D4I C0 Stepping - 16GB ECC - Silverstone DS380 + Silverstone DS380 DAS Box.

  • Hello, I just tried adding it but it wont update by the restart. Check image below, did I do it wrong?
    plex1.png

    I don't use Plex, but if you do what you were told earlier and looked at the docker info, you would know your pic shows where you went wrong. First, fix what you messed up. Where put "-e VERSION=latest" as an extra argument, is wrong. Delete that.


    Now, go here https://hub.docker.com/r/linuxserver/plex/ , and look at the docker-compose section.


    See that part that says "-e VERSION=docker"... Now scroll down to Parameters, and where it describes "-e VERSION=docker".. What's it say there... "Set whether to update plex or not - see Application Setup section."


    So lets scroll down to the application setup section...


    Valid settings for VERSION are:-
    IMPORTANT NOTE:- YOU CANNOT UPDATE TO A PLEXPASS ONLY (BETA) VERSION IF YOU ARE NOT LOGGED IN WITH A PLEXPASS ACCOUNT

    • docker: Let Docker handle the Plex Version, we keep our Dockerhub Endpoint up to date with the latest public builds. This is the same as leaving this setting out of your create command.
    • latest: will update plex to the latest version available that you are entitled to.
    • public: will update plexpass users to the latest public version, useful for plexpass users that don't want to be on the bleeding edge but still want the latest public updates.
    • specific-version: will select a specific version (eg 0.9.12.4.1192-9a47d21) of plex to install, note you cannot use this to access plexpass versions if you do not have plexpass.

    So this makes it obvious in your container environment settings, you need to change "VERSION=docker" to "VERSION=latest". If you don't have that environment setting, add it (under environments, not under extra arguments)


    Then restart the container.

    Air Conditioners are a lot like PC's... They work great until you open Windows.


    Edited once, last by KM0201 ().

  • Thank you for the time you are using on me.


    Oh I did click the info button and tried to figure out the thing about a proper tag. Therefor I clicked into "Tags".


    I guess things just comes easier to some people. Well, I just checked the enviroment settings and I do have the version set to latest in there.


    I will remove the extra arguments now.



    What version of Plex are you on and what version of Plex do you think you should be updated to?

    When I enter settings on the server, it tells me that there is a new update. I'm running Version 1.14.1.5488.


    Another reason why I want to update is that I have a new problem, I can't update my libaries in plex. So it wont detect new content.. I guess it stopped working after I updated everything in "Update management", so the problem could be anywere, I just want to have the latest version of plex incase that it would help... You know trying one thing at a time.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!